%global _empty_manifest_terminate_build 0

Name:           python-beautifulsoup4
Version:        4.12.2
Release:        2
Summary:        Screen-scraping library
License:        MIT
URL:            https://www.crummy.com/software/BeautifulSoup/bs4/
Source0:        https://files.pythonhosted.org/packages/source/b/beautifulsoup4/beautifulsoup4-%{version}.tar.gz
Patch0:         0001-add-tox-config-file-for-test.patch
BuildArch:      noarch

Requires:	python3-soupsieve

%description
This package provides a python library which is designed for quick
turnaround projects.It provides methods for navigating and modifying
a parse tree.It can help convert incoming documents to Unicode
and outgoing documents to utf-8.

%package -n python3-beautifulsoup4
Summary:        Screen-scraping library
Provides:       python-beautifulsoup4
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-html5lib
BuildRequires:  python3-lxml
BuildRequires:  python3-pip
BuildRequires:  python3-pytest
BuildRequires:  python3-tox
BuildRequires:  python3-tox-current-env	
BuildRequires:  python3-soupsieve
BuildRequires:	python3-editables
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
%description -n python3-beautifulsoup4
This package provides a python library which is designed for quick
turnaround projects.It provides methods for navigating and modifying
a parse tree.It can help convert incoming documents to Unicode
and outgoing documents to utf-8.

%package help
Summary:        Screen-scraping library
Provides:       python3-beautifulsoup4-doc
%description help
This package provides a python library which is designed for quick
turnaround projects.It provides methods for navigating and modifying
a parse tree.It can help convert incoming documents to Unicode
and outgoing documents to utf-8.

%prep
%autosetup -p1 -n beautifulsoup4-%{version}

%build
%pyproject_build

%install
%pyproject_install

%check
TOX_TESTENV_PASSENV="${TOX_TESTENV_PASSENV:-*}" \
CFLAGS="${CFLAGS:-${RPM_OPT_FLAGS}}" LDFLAGS="${LDFLAGS:-${RPM_LD_FLAGS}}" \
PATH="%{buildroot}%{_bindir}:$PATH" \
PYTHONPATH="${PYTHONPATH:-%{buildroot}%{python3_sitearch}:%{buildroot}%{python3_sitelib}}" \
PYTHONDONTWRITEBYTECODE=1 \
%{?__pytest_addopts:PYTEST_ADDOPTS="${PYTEST_ADDOPTS:-} %{__pytest_addopts}"} \
PYTEST_XDIST_AUTO_NUM_WORKERS=%{_smp_build_ncpus}} \
%{__python3} -m tox -e py%{python3_version_nodots} --current-env

%files -n python3-beautifulsoup4
%license LICENSE
%doc NEWS.txt
%{python3_sitelib}/beautifulsoup4-%{version}.dist-info/
%{python3_sitelib}/bs4

%changelog
* Wed Jun 14 2023 Dongxing Wang <dxwangk@isoftstone.com> - 4.12.2-2
- Change test method tox to tox --current-env

* Wed Apr 26 2023 Dongxing Wang <dxwangk@isoftstone.com> - 4.12.2-1
- Add build requires pythone3-soupsieve and upgrade to 4.12.2

* Thu Nov 10 2022 liqiuyu <liqiuyu@kylinos.cn> - 4.11.1-1
- Upgrade package to version 4.11.1

* Tue May 24 2022 renliang <renliang@uniontech.com> - 4.10.0-1
- Upgrade package python3-beautifulsoup4 to version 4.10.0

* Mon Jan 10 2022 shixuantong <shixuantong@huawei.com> - 4.9.3-2
- converts the code base to Python 3, and removes the use_2to3 reference in setup.py.

* Mon Jul 26 2021 liusheng<liusheng2048@huawei.com>  - 4.9.3-1
- Upgrade to version 4.9.3

* Fri Oct 30 2020 wangjie<wangjie294@huawei.com> -4.6.3-4
- Type:NA
- ID:NA
- SUG:NA
- DESC:remove python2
* Tue Aug 4 2020 wenzhanli<wenzhanli2@huawei.com> - 4.6.3-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Fix make test error

* Sat Sep 21 2019 yangfeiyu <yangfeiyu2@huawei.com> - 4.6.3-2
- spec init
